- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#body.BatchUpdateTeamsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#body.aspect)
- [UpdateTeamRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#UpdateTeamRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#UpdateTeamRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#try-it)

Batch updates `Team` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/teams:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Teams` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateTeamRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#UpdateTeamRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams/batchUpdate#UpdateTeamRequest`)`` Required. The `Team` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `teams.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "teams": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams#Team`) } ] } ``` |

| Fields ||
|---|---|
| `teams[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams#Team`)`` The `Team` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateTeamRequest

Request object for `teams.patch` method.

| JSON representation |
|---|
| ``` { "team": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams#Team`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `team` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.teams#Team`)`` Required. The `Team` to update. The `Team`'s `name` is used to identify the `Team` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |